Module | ActiveSupport::CoreExtensions::Numeric::Time
In: | lib/active_support/core_ext/numeric/time.rb

Enables the use of time calculations and declarations, like 45.minutes + 2.hours + 4.years.

These methods use Time#advance for precise date calculations when using from_now, ago, etc. as well as adding or subtracting their results from a Time object. For example:

      # equivalent to Time.now.advance(:months => 1)
      1.month.from_now

      # equivalent to Time.now.advance(:years => 2)
      2.years.from_now

      # equivalent to Time.now.advance(:months => 4, :years => 5)
      (4.months + 5.years).from_now

While these methods provide precise calculation when used as in the examples above, care should be taken to note that this is not true if the result of `months’, `years’, etc is converted before use:

      # equivalent to 30.days.to_i.from_now
      1.month.to_i.from_now

      # equivalent to 365.25.days.to_f.from_now
      1.year.to_f.from_now

In such cases, Ruby‘s core Date and Time should be used for precision date and time arithmetic

### Methods

ago day days fortnight fortnights from_now hour hours minute minutes second seconds since until week weeks

### Public Instance methods

ago(time = ::Time.now)

Reads best without arguments: 10.minutes.ago

day()

Alias for days

days()
fortnight()

Alias for fortnights

fortnights()
from_now(time = ::Time.now)

Alias for since

hour()

Alias for hours

hours()
minute()

Alias for minutes

minutes()
second()

Alias for seconds

seconds()
since(time = ::Time.now)

Reads best with argument: 10.minutes.since(time)

until(time = ::Time.now)

Alias for ago

week()

Alias for weeks

weeks()

[Validate]